## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.6

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanArrayAllocator Template Class Reference

`#include <XalanArrayAllocator.hpp>`

List of all members.

## Public Types

- typedef std::vector<Type> VectorType
- typedef VectorType::size_type size_type
- typedef std::pair<size_type,
  VectorType> ListEntryType
- typedef std::list<ListEntryType> ListType
- typedef Type value_type
- typedef ListType::iterator ListIteratorType
- enum {
  eDefaultBlockSize = 500
  }

## Public Methods

- XalanArrayAllocator (size_type theBlockSize = eDefaultBlockSize)
    Constructor. More...
- ~XalanArrayAllocator ()
- void clear ()
    Clear the instance, and release all allocated memory.
- void reset ()
    Reset the instance, but keep all memory so it can be reused for allocations. More...
- Type* allocate (size_type theCount)
    Allocate slots for the given number of Types instance and return the address of the slots. More...

## Member Typedef Documentation

template<classType>
typedef std::pair<size_type, VectorType> XalanArrayAllocator<Type>::ListEntryType

template<classType>
typedef ListType::iterator XalanArrayAllocator<Type>::ListIteratorType

template<classType>
typedef std::list<ListEntryType> XalanArrayAllocator<Type>::ListType

template<classType>
typedef std::vector<Type> XalanArrayAllocator<Type>::VectorType

template<classType>
typedef VectorType::size_type XalanArrayAllocator<Type>::size_type

template<classType>
typedef Type XalanArrayAllocator<Type>::value_type

## Member Enumeration Documentation

template<classType>
anonymous enum

Enumeration values:

  eDefaultBlockSize |

## Constructor & Destructor Documentation

template<classType>
XalanArrayAllocator<Type>::XalanArrayAllocator<Type> ( | size_type theBlockSize = eDefaultBlockSize )

Constructor.

Parameters:

  theBlockSize | The block size when allocating.

template<classType>
XalanArrayAllocator<Type>::~XalanArrayAllocator<Type> ( | )`[]`

## Member Function Documentation

template<classType>
Type * XalanArrayAllocator<Type>::allocate ( | size_type theCount )`[]`

Allocate slots for the given number of Types instance and return the address of the slots.

Parameters:

  theCount | The number of slots to allocate

template<classType>
void XalanArrayAllocator<Type>::clear ( | )`[]`

Clear the instance, and release all allocated memory.

template<classType>
void XalanArrayAllocator<Type>::reset ( | )`[]`

Reset the instance, but keep all memory so it can be reused for allocations.

This invalidates all previous allocations.

The documentation for this class was generated from the following file:

- XalanArrayAllocator.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.6 Copyright © 2000, 2001, 2002, 2003 The Apache Software Foundation. All Rights Reserved.